﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PrintPositionOnStart : MonoBehaviour {

	// Use this for initialization
	void Start () {

        string dbg = gameObject.name + ": ";

        Vector3 pos = transform.position;

        dbg += "pos=(" + pos.x + "," + pos.y + "," + pos.z + ")";

        var rect = transform as RectTransform;
        if(rect != null)
        {
            dbg += ", rt.pos=" + rect.anchoredPosition.x + "," + rect.anchoredPosition.y;
        }

        Debug.Log(dbg);
	}
	
}
